Page MenuHomePhabricator

Epic ⚡️ Improve MediaWiki's blocking tools
Closed, ResolvedPublic

Description

Our blocking tools suck. It is a trivial matter to defeat blocks, and any vandal worth his salt can do it in his sleep. (User:Philippe). Anyone who works a sockpuppet investigation page or is a victim of repeated on-wiki harassment can attest to this. Block evasion doesn't have to be deliberate -- in some parts of the world, users can be assigned a different IP address by their ISP for every edit they make. We effectively have no measures against these users.

The aim here is threefold -- to make it more difficult to evade blocks, make it easier for us to identify and deal with potential sockpuppets as soon as possible-- ideally before they start editing -- and keep collateral damage at a minimum.
This proposal has multiple facets:

Improved blocking tools may be assigned to the Checkuser group initially to get a feel for how much collateral damage they cause. This will ideally reduce the burden of cleaning up after spammers, vandals and long term abusers, reduce the amount of on-wiki harassment of the type referred to in the diff above and will benefit all good faith editors of any MediaWiki installation. MER-C (talk) 12:06, 8 November 2015 (UTC)


This card tracks a proposal from the 2015 Community Wishlist Survey: https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey
This proposal received 33 support votes, and was ranked #29 out of 107 proposals. https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Moderation_and_admin_tools#Improve_MediaWiki.27s_blocking_tools

Related Objects

StatusAssignedTask
ResolvedTBolliger
OpenNone
OpenHuji
ResolvedDannyH
ResolvedMusikAnimal
ResolvedNiharika
ResolvedSamwilson
ResolvedSamwilson
Resolvedkaldari
Resolvedkaldari
ResolvedNiharika
ResolvedSamwilson
ResolvedMusikAnimal
OpenNone
ResolvedSamwilson
ResolvedSamwilson
ResolvedSamwilson
ResolvedMusikAnimal
OpenNone
Resolveddmaza
Resolveddmaza
Invaliddmaza
ResolvedNone
Resolveddbarratt
Resolveddmaza
Resolveddmaza
Opendbarratt
DeclinedNone
OpenNone

Event Timeline

DannyH created this task.Dec 7 2015, 10:50 PM
DannyH raised the priority of this task from to Needs Triage.
DannyH updated the task description. (Show Details)
DannyH moved this task to Wishlist 51-on on the Community-Wishlist-Survey-2015 board.
DannyH added a subscriber: DannyH.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 7 2015, 10:50 PM
DannyH updated the task description. (Show Details)Dec 7 2015, 10:51 PM
DannyH set Security to None.

T100070: Allow CheckUsers to set User agent (UA)-based IP Blocks was filed recently, and may want to be added to this task.

JEumerus updated the task description. (Show Details)Jan 8 2016, 8:56 PM
He7d3r added a subscriber: He7d3r.Jan 9 2016, 1:42 AM
IMPORTANT: If you are a community developer interested in working on this task: The Wikimedia Hackathon 2016 (Jerusalem, March 31 - April 3) focuses on #Community-Wishlist-Survey projects. There is some budget for sponsoring volunteer developers. THE DEADLINE TO REQUEST TRAVEL SPONSORSHIP IS TODAY, JANUARY 21. Exceptions can be made for developers focusing on Community Wishlist projects until the end of Sunday 24, but not beyond. If you or someone you know is interested, please REGISTER NOW.
DannyH updated the task description. (Show Details)Feb 5 2016, 11:59 PM
Quiddity updated the task description. (Show Details)May 2 2016, 6:03 AM
Quiddity updated the task description. (Show Details)Jun 12 2016, 8:35 PM

A heads-up for folks on this ticket:

Community Tech is currently working on T5233: Send a cookie with each block, and we're discussing T146837: Add ability to search by user agent from CheckUser interface. We'll be doing more blocking tools work over the next couple months.

Stryn added a subscriber: Stryn.Oct 3 2016, 7:06 PM
JJMC89 added a subscriber: JJMC89.Oct 4 2016, 2:39 AM

This task is part of the 2015 Community Wishlist.
As items on the 2015 wishlist can be reproposed for the 2016 Community Wishlist, I would like to point out that in 2016, "Proposals should be discrete, well-defined tasks" (this is a new requirement which will help everybody to have a clearer and shared understanding of what is exactly requested).
So if anybody plans to propose this 2015 wish again for 2016, please strongly consider rewriting this wish by following the 2016 guidelines - essentially, by adding more details, links, and examples to the description, so that editors and developers who are not very familiar with the area can more easily understand it all, and why the feature or bug fix is important, and how they can potentially help.
Thank you a lot!

jrbs added a subscriber: jrbs.Dec 7 2017, 11:11 PM
TBolliger renamed this task from Improve MediaWiki's blocking tools to Epic ⚡️ Improve MediaWiki's blocking tools.Jan 12 2018, 11:02 PM
TBolliger moved this task from Untriaged to Backlog on the Anti-Harassment board.
Restricted Application added a subscriber: MGChecker. · View Herald TranscriptFeb 24 2018, 12:49 AM
SQL added a subscriber: SQL.Mar 13 2018, 4:44 AM
TBolliger closed this task as Resolved.Jan 30 2019, 10:33 PM
TBolliger claimed this task.

This was a tracking ticket to categorize work. Those projects have ended, so marking this task as resolved.